Qt 5.11 | Qt Location | C++ Classes | QPlaceDetailsReply

Qt 5.11.3 Reference Documentation

# QPlaceDetailsReply Class

The QPlaceDetailsReply class manages a place details fetch operation started by an instance of QPlaceManager. More...

Header: | #include <QPlaceDetailsReply>
qmake: | QT += location
Since: | Qt 5.6
Inherits: | QPlaceReply

- List of all members, including inherited members

## Public Functions

| QPlaceDetailsReply(QObject *parent = nullptr)
virtual | ~QPlaceDetailsReply()
QPlace | place() const

## Reimplemented Public Functions

virtual QPlaceReply::Type | type() const

- 4 public functions inherited from QPlaceReply

## Protected Functions

void | setPlace(const QPlace &place)

- 2 protected functions inherited from QPlaceReply

### Additional Inherited Members

- 1 public slot inherited from QPlaceReply
- 3 signals inherited from QPlaceReply

## Detailed Description

The QPlaceDetailsReply class manages a place details fetch operation started by an instance of QPlaceManager.

See Fetching Place Details for an example on how to use a details reply.

See also QPlaceManager.

## Member Function Documentation

### QPlaceDetailsReply::QPlaceDetailsReply(QObject *parent = nullptr)

Constructs a details reply with a given parent.

### `[virtual]` QPlaceDetailsReply::~QPlaceDetailsReply()

Destroys the details reply.

### QPlace QPlaceDetailsReply::place() const

Returns the place that was fetched.

See also setPlace().

### `[protected]` void QPlaceDetailsReply::setPlace(const QPlace &place)

Sets the fetched place of the reply.

See also place().

### `[virtual]` QPlaceReply::Type QPlaceDetailsReply::type() const

Reimplemented from QPlaceReply::type().

Returns the type of reply.